Subject: Re: PMTU issues due to TOS field manipulation (for DSCP)

From: "David S. Miller" <[email-masked]>
Date: Wed, 10 Dec 2003 16:09:46 -0800

On Thu, 11 Dec 2003 02:06:09 +0200 (EET)
Julian Anastasov <[email-masked]> wrote:

> But the common average chain length for full table is 16 and the
> different TOS values are usually 1 or 2 per path. We do not talk
> about intentional DoS.

Your system has not configured it's rthash table size properly, see
recent discussions Robert has been making here.  You should have
rthash sized somewhere near the number of entries a full system
will have.

But regardless, let us say that your system has complexity O(16)
lookups as you mention, your proposal changes this to O(16+8).